#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

INFILES := $(wildcard debian/*.policy.in)
OUTFILES := $(INFILES:.policy.in=.policy)

%.policy: %.policy.in
	intltool-merge -x debian/po-up $< $@

%:
	dh $@ --with gnome

override_dh_auto_clean:
	dh_auto_clean
	-rm -f $(OUTFILES)

override_dh_autoreconf:
	dh_autoreconf --as-needed
	intltoolize -c -f

override_dh_auto_configure:
	dh_auto_configure -- --enable-zlib

override_dh_auto_build: $(OUTFILES)
	dh_auto_build

override_dh_auto_test:
	-dh_auto_test

update-po::
	ls $(INFILES) | sed 's#^#../#' >debian/po-up/POTFILES.in
	cd debian/po-up && intltool-update -g debian --pot && \
		for i in *.po; do intltool-update -g debian --dist $${i%.po}; done
	rm -f debian/po-up/POTFILES.in
